components/ruby/puppet-modules/openstack-swift/patches/03-init.patch
author Laszlo Peter <laszlo.peter@oracle.com>
Wed, 07 Sep 2016 14:48:35 -0700
changeset 6817 e4a26f447d0c
parent 5860 afd31ba91ee9
child 6917 6936cd289acf
permissions -rw-r--r--
24454308 update all openstack puppet modules to the latest mitaka release
In-house patch to add support for Solaris 11.3 and 12.0.  This patch
has not yet been submitted upstream due to requirements for 3rd party
CI testing.

--- openstack-swift-6.1.0/manifests/init.pp.orig	2016-04-21 09:04:49.670248833 -0700
+++ openstack-swift-6.1.0/manifests/init.pp	2016-04-21 09:05:19.849256812 -0700
@@ -1,3 +1,7 @@
+#######################################################################
+# Oracle has modified the originally distributed contents of this file.
+#######################################################################
+
 # Install and configure base swift components
 #
 # == Parameters
@@ -85,27 +89,6 @@ class swift(
     ensure => $client_package_ensure;
   }

-  File { owner => 'swift', group => 'swift', require => Package['swift'] }
-
-  file { '/etc/swift':
-    ensure => directory,
-  }
-  user {'swift':
-    ensure  => present,
-    require => Package['swift'],
-  }
-  file { '/var/lib/swift':
-    ensure => directory,
-  }
-  file { '/var/run/swift':
-    ensure                  => directory,
-    selinux_ignore_defaults => true,
-  }
-
-  file { '/etc/swift/swift.conf':
-    ensure => file,
-  }
-
   File['/etc/swift/swift.conf'] -> Swift_config<||>

   swift_config {